-module(publisher_sup).

-behaviour(supervisor).

%% API
-export([start_link/0, start_publish/6]).

%% Supervisor callbacks
-export([init/1]).

%% Helper macro for declaring children of supervisor
-define(CHILD(I, Type), {I, {I, start_link, []}, temporary, 5000, Type, [I]}).

-define(SERVER, ?MODULE).
%% ===================================================================
%% API functions
%% ===================================================================

start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

start_publish(Connection, Exchange, Type, Key, Count, Rate) ->
    supervisor:start_child(?SERVER, [Connection, Exchange, Type, Key, Count, Rate]).

%% ===================================================================
%% Supervisor callbacks
%% ===================================================================

init([]) ->
    {ok, { 
       {simple_one_for_one, 0, 1}, 
       [?CHILD(publisher_wrk, worker)]} }.
